Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.aamanager.service
Class ServiceGroupChain

    java.lang.Object
      tle.framework.component.impl.aamanager.service.ServiceGroupChain

All Implemented Interfaces:
  HasGrant, Service

public class ServiceGroupChain
extends java.lang.Object
implements Service, HasGrant

<service> 태그로 명시되어 있지 않은 요청 서비스 중에서 <group>에 의해 서비스 그룹 필터에 속하게 되는 요청 서비스를 캐싱하기 위해서 사용되는 Service. ServiceGroupChain 설명

Since:
  2.0
Author:
  최범균

Constructor Summary
`ServiceGroupChain()`

Method Summary
`void` | `addServiceGroup(ServiceGroup group)` 서비스그룹에 체인에 새로운 그룹을 추가한다.
`java.lang.String` | `getCommandID()` 이 서비스와 관련된 명령어의 ID를 구한다.
`java.lang.String` | `getDescription()` null을 리턴한다.
`java.lang.String` | `getName()` null을 리턴한다.
`boolean` | `hasGrant(Role role)` 체인에 있는 모든 서비스 그룹에 대해서 role이 권한을 가진 경우 true를 리턴한다.
`boolean` | `isAllRolesUsable()` 체인에 있는 모든 서비스 그룹이 모든 역할에 대해서 사용가능한 경우에만 true를 리턴하고 그 외의 경우는 false를 리턴한다.
`boolean` | `isNeedAuthentication()` 체인에 있는 모든 서비스 그룹이 로그인을 필요로 하지 않는 경우에만 false를 리턴하며, 그 외에는 true를 리턴한다.
`(package private) void` | `setCommandID(java.lang.String commandID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceGroupChain

    public ServiceGroupChain()

Method Detail

### setCommandID

    void setCommandID(java.lang.String commandID)

### getCommandID

    public java.lang.String getCommandID()

  Description copied from interface: `Service`
  이 서비스와 관련된 명령어의 ID를 구한다.

  Specified by:
    `getCommandID` in interface `Service`
  Returns:
  See Also:
    `Service.getCommandID()`

### getName

    public java.lang.String getName()

  null을 리턴한다.

  Specified by:
    `getName` in interface `Service`
  Returns:
  See Also:
    `Service.getName()`

### getDescription

    public java.lang.String getDescription()

  null을 리턴한다.

  Specified by:
    `getDescription` in interface `Service`
  Returns:
  See Also:
    `Service.getDescription()`

### isNeedAuthentication

    public boolean isNeedAuthentication()

  체인에 있는 모든 서비스 그룹이 로그인을 필요로 하지 않는 경우에만 false를 리턴하며, 그 외에는 true를 리턴한다.

  Specified by:
    `isNeedAuthentication` in interface `Service`
  Returns:
  See Also:
    `Service.isNeedAuthentication()`

### isAllRolesUsable

    public boolean isAllRolesUsable()

  체인에 있는 모든 서비스 그룹이 모든 역할에 대해서 사용가능한 경우에만 true를 리턴하고 그 외의 경우는 false를 리턴한다.

  Specified by:
    `isAllRolesUsable` in interface `Service`
  Returns:
  See Also:
    `Service.isAllRolesUsable()`

### addServiceGroup

    public void addServiceGroup(ServiceGroup group)

  서비스그룹에 체인에 새로운 그룹을 추가한다.

  Parameters:
    `group` -

### hasGrant

    public boolean hasGrant(Role role)

  체인에 있는 모든 서비스 그룹에 대해서 role이 권한을 가진 경우 true를 리턴한다.

  Specified by:
    `hasGrant` in interface `HasGrant`
  Parameters:
    `role` -
  Returns:
    역할의 체인의 모든 서비스 그룹을 사용할 수 있는 경우 true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD